/* This file is Copyright 2001 Level Control Systems.  See the included LICENSE.TXT file for details. */
package com.lcs.muscle.message;

/** Exception that is thrown if you try to access a field in a PortableMessage
 *  by the wrong type (e.g. calling getInt() on a string field or somesuch)
 */
public class FieldTypeMismatchException extends PortableMessageException
{
    public FieldTypeMismatchException(String s)
    {
        super(s);
    }
    
    public FieldTypeMismatchException()
    {
        super("PortableMessage entry type mismatch");
    }
}
